Update to 3.5.0 problem


(erotavlas) #1

Hi,
today I just updated two different installations of matomo for different web sites. During the installation processes both asked me to remove some files, but I wrongly did not remove them. The strange thing is that one matomo installation works well while the other does not work and I cannot log in any more. I can type user and password, but I get stuck with blank screen.
I tried to revert the installation folder to one of yesterday before the update, but matomo says that program v3.3 is out of date with respect to database v3.5.
I also tried a fresh install with manual update and my config.php as explained here without success.
What can I do?
Thank you


(Lukas Winkler) #2

Hi,

A blank screen means a PHP error occured. But what the error exactly is, can only tell you the PHP error_log.

But is possible that you are having this error:


(erotavlas) #3

Hi,
thank you for your reply.
This is the current error log if I try to connect to https://mydomain/piwik/index.php. I have the latest motomo with my config.ini.php file

Mon, 21 May 2018 12:27:04 GMT [error] [client 46.165.219.48] - mydomain - AH01215: PHP Fatal error: Uncaught Error: Class 'Composer\\Autoload\\ComposerStaticInit5cf6d452e649f1bd0ee8e24af7b4526e' not found in /web/htdocs/mydomain/home/piwik/vendor/composer/autoload_real.php:34: /web/htdocs/mydomain/home/piwik/index.php
Mon, 21 May 2018 12:27:04 GMT [error] [client 46.165.219.48] - mydomain - AH01215: Stack trace:: /web/htdocs/mydomain/home/piwik/index.php
Mon, 21 May 2018 12:27:04 GMT [error] [client 46.165.219.48] - mydomain - AH01215: #0 /web/htdocs/mydomain/home/piwik/vendor/autoload.php(7): ComposerAutoloaderInit5cf6d452e649f1bd0ee8e24af7b4526e::getLoader(): /web/htdocs/mydomain/home/piwik/index.php
Mon, 21 May 2018 12:27:04 GMT [error] [client 46.165.219.48] - mydomain - AH01215: #1 /web/htdocs/mydomain/home/piwik/core/bootstrap.php(40): require_once('/web/htdocs/www...'): /web/htdocs/mydomain/home/piwik/index.php
Mon, 21 May 2018 12:27:04 GMT [error] [client 46.165.219.48] - mydomain - AH01215: #2 /web/htdocs/mydomain/home/piwik/index.php(21): require_once('/web/htdocs/www...'): /web/htdocs/mydomain/home/piwik/index.php
Mon, 21 May 2018 12:27:04 GMT [error] [client 46.165.219.48] - mydomain - AH01215: #3 {main}: /web/htdocs/mydomain/home/piwik/index.php
Mon, 21 May 2018 12:27:04 GMT [error] [client 46.165.219.48] - mydomain - AH01215: thrown in /web/htdocs/mydomain/home/piwik/vendor/composer/autoload_real.php on line 34: /web/htdocs/mydomain/home/piwik/index.php

(Lukas Winkler) #4

Hi,

Have you used composer to install Matomo? If not I’d recommend you to replace the vendor folder with the one from the latest matomo zip as it seems like something is broken there.


(erotavlas) #5

Hi,
I installed motomo as explained here by copying the folder from zip file into my hosting via FTP. Then I replaced config.ini.php. If I do not overwrite the config.ini.php, it gives me warning about different program version with respect to database version.


(erotavlas) #6

Hi,
so it seems that the only possible solution is to install motomo v3.5 with an empty database. Is there any way to recover the data?
Thank you


(Daniel Tillett) #7

I just ran into this problem myself. The solution is to remove the old GeoIP2 directory in the plugins directory. Just run: rm -rf GeoIP2

There is no need to do a fresh install. For the developers it looks like you changed the name of the GeoIP2 folder to GeoIp2 in 3.5.0 - this probably was not what you intended to do.


(erotavlas) #8

Hi,
so since my database is already updated to v3.5 I cannot use previous matomo folder.
I have to do a fresh install with my config.ini.php by removing installed plug in PluginsInstalled[] = “GeoIP2”. Is it ok? Do you another idea?
Thank you


(Lukas Winkler) #9

Hi,

There is no need for a fresh install. Just remove the GeoIP2 folder and the PluginsInstalled[] = “GeoIP2 line from the config.ini.php.
That should fix everything.


(Daniel Tillett) #10

I didn’t have to remove GeoIP2 line from the config.ini.php file - just removing the GeoIP2 folder worked.


(erotavlas) #11

Thank you for the support. I solved by installing the latest matomo version without PluginsInstalled[] = “GeoIP2” in my config.ini.php. Then I removed the folder GeoIP2 and I reinstalled again the plug in from dashboard.